package de.laliluna.howto.services;

import org.apache.log4j.Logger;

import javax.faces.event.PhaseListener;
import javax.faces.event.PhaseEvent;
import javax.faces.event.PhaseId;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 06.10.2009
 */
public class PerViewPhaseListener  implements PhaseListener {
	private Logger logger = Logger.getLogger(PerViewPhaseListener.class.getName());

	public void afterPhase(PhaseEvent event) {
		logger.info("per view phase listener, after: "+event.getPhaseId());
	}

	public void beforePhase(PhaseEvent event) {
		logger.info("per view phase listener, before: "+event.getPhaseId());
	}

	public PhaseId getPhaseId() {
		return PhaseId.ANY_PHASE;
	}
}

