package de.laliluna.howto.services;

import javax.faces.event.*;
import javax.faces.lifecycle.LifecycleFactory;
import javax.faces.lifecycle.Lifecycle;
import javax.faces.FactoryFinder;
import javax.servlet.http.HttpServlet;
import javax.servlet.ServletException;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 30.09.2009
 */
public class StartUpConfiguration implements SystemEventListener {
	public void processEvent(SystemEvent event) throws AbortProcessingException {
		if (event instanceof PostConstructApplicationEvent){
			LogRedirect.activate();
			LifecycleFactory lifecycleFactory = (LifecycleFactory)
                FactoryFinder.getFactory(FactoryFinder.LIFECYCLE_FACTORY);
			Lifecycle lifecycle = lifecycleFactory.getLifecycle(LifecycleFactory.DEFAULT_LIFECYCLE);
			lifecycle.addPhaseListener(new GlobalPhaseListener());
		}
		else if (event instanceof PreDestroyApplicationEvent){
			LogRedirect.deactivate();
		}
	}

	public boolean isListenerForSource(Object source) {
		return true;
	}

}
