package de.laliluna.example.pages;

import org.apache.tapestry5.annotations.Persist;
import org.apache.tapestry5.annotations.IncludeStylesheet;
import org.apache.tapestry5.PersistenceConstants;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 10.08.2009
 */
@IncludeStylesheet("context:css/styles.css")
public class HelloWorld {

	@Persist(org.apache.tapestry5.PersistenceConstants.FLASH)
	private String message;

	public String getMessage() {
		return message;
	}

	Object initialize(String message){
		this.message = message;
		return this;
	}
}
