package de.laliluna.example.pages;

import org.apache.tapestry5.annotations.Property;
import org.apache.tapestry5.annotations.Persist;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.PersistenceConstants;

import java.util.List;
import java.util.Arrays;

import de.laliluna.example.services.ServiceLocator;
import de.laliluna.example.services.ArticleService;
import de.laliluna.example.services.SamplePicoService;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 07.08.2009
 */
public class Sample {

	@Property
	private String country;

	@Inject
	private SamplePicoService picoService;

	@Persist(org.apache.tapestry5.PersistenceConstants.FLASH)
	private String message;

	public Object onAction(){
		message = picoService.hello();
		return null;
	}

	public String getName(){
		return "Sebastian";
	}

	public List<String> getCountries() {
		return  Arrays.asList("France", "UK", "Netherland");
	}

	public String getMessage() {
		return message;
	}
}
