package de.laliluna.example.pages.ajax;

import de.laliluna.example.services.CountryService;
import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.annotations.Property;

import java.util.List;
import java.util.Arrays;

/**
 * A simple autocomplete example with Ajax.
 * 
 * User: hennebrueder
 * Date: 05.08.2009
 */
public class AutoComplete {

	@Inject
	private CountryService countryService;


	private String country;

	public String getCountry() {
		return country;
	}

	public void setCountry(String country) {
		this.country = country;
	}

	/**
	 * The autocomplete mixin calls this method. It returns a list of String containing the
	 * matching country name
	 * @param partial - the text typed in by the user
	 * @return - at least an empty list of country names
	 */
	List<String> onProvideCompletionsFromCountry(String partial) {
//		return countryService.getCountryNamesByPartial(partial);
		return Arrays.asList("abc","cde");
	}
}
