package de.laliluna.example.security;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 05.08.2009
 */
public class LoggedOutUser implements ApplicationUser {

	private static final LoggedOutUser INSTANCE = new LoggedOutUser();

	private LoggedOutUser() {
	}

	public static LoggedOutUser getInstance() {
		return INSTANCE;
	}

	public String getUsername() {
		return null;
	}

	public boolean hasRight(String right) {
		return false;
	}
}
