package de.laliluna.example.security;

/**
 * Used to indicate that the user tried to call a method but is not authorized = does not have the required rights
 * {@link de.laliluna.example.security.Protected}
 * Author: Sebastian Hennebrueder
 * Date: 05.08.2009
 */
public class NotAuthorizedException extends RuntimeException{
	public NotAuthorizedException(String message) {
		super(message);
	}
}
