package de.laliluna.example.security;

import java.lang.annotation.Retention;
import java.lang.annotation.RetentionPolicy;
import java.lang.annotation.Target;
import java.lang.annotation.ElementType;

/**
 * User: hennebrueder
 * Date: 05.08.2009
 */
@Retention(RetentionPolicy.RUNTIME)
@Target(ElementType.METHOD)
public @interface Protected {
	/**
	 * The required right to access a method
	 * @return
	 */
	String rights();
}
