package de.laliluna.howto.beans;

import org.apache.log4j.Logger;

import javax.faces.bean.ManagedBean;
import javax.faces.bean.ViewScoped;
import javax.annotation.PreDestroy;
import java.io.Serializable;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 08.10.2009
 */

@ManagedBean
@ViewScoped
public class ViewScopeSample implements Serializable{
	private static Logger logger = Logger.getLogger(ViewScopeSample.class.getName());

	private int counter;

	private String text;

	public String takeMeHome(){
		return "home";
	}
	@PreDestroy
	public void theEnd(){
		logger.info("This is the end for the managed bean ViewScopeSample lifecycle");
	}

	public String getText() {
		return text;
	}

	public void setText(String text) {
		this.text = text;
	}

	public int getCounter() {
		return counter++;
	}
}
