package de.laliluna.howto.components;

import javax.validation.Payload;
import javax.validation.Constraint;
import java.lang.annotation.*;
import static java.lang.annotation.ElementType.*;

/**
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 20.10.2009
 */
@Target({METHOD, FIELD, ANNOTATION_TYPE})
@Retention(RetentionPolicy.RUNTIME)
@Constraint(validatedBy = CompanyEmailValidator2.class)
@Documented
public @interface CompanyEmail {
	String message() default "{de.laliluna.howto.components.validation.companyemail}";

	Class<?>[] groups() default {};

	Class<? extends Payload>[] payload() default {};

}
