package de.laliluna.examples.model;

/**
 * Mar 10, 2009
 *
 * @author Sebastian Hennebrueder
 */

public class Country {

	private String isoCode;
	private String name;

	public Country() {
	}

	public Country(String isoCode, String name) {
		this.isoCode = isoCode;
		this.name = name;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getIsoCode() {
		return isoCode;
	}

	public void setIsoCode(String isoCode) {
		this.isoCode = isoCode;
	}

	@Override
	public String toString() {
		final StringBuilder sb = new StringBuilder();
		sb.append("Country");
		sb.append("{name='").append(name).append('\'');
		sb.append(", isoCode='").append(isoCode).append('\'');
		sb.append('}');
		return sb.toString();
	}
}
