package de.laliluna.examples.www;

import net.sourceforge.stripes.action.*;

import java.util.Date;
import java.util.List;
import java.util.ArrayList;

import de.laliluna.examples.model.Person;

/**
 * Mar 10, 2009
 *
 * @author Sebastian Hennebrueder
 */

public class FormsAndInput implements ActionBean {
	private ActionBeanContext context;

	private String foo;

	private Date date;

	private Date time;

	private Date dateTime;

	public enum Language {
		EN, DE
	}

	private Language language;

	private List<Person> persons = new ArrayList<Person>();

	@DefaultHandler
	public Resolution index() {
		return new ForwardResolution("/input.jsp");
	}

	public Resolution save() {
		System.out.println(String.format("Date: %s\nTime: %s\nDate and Time: %s\nLanguage: %s", date, time, dateTime
				, language));
		System.out.println(persons);
		return new RedirectResolution("/input.jsp");
	}

	public ActionBeanContext getContext() {
		return context;
	}

	public void setContext(ActionBeanContext context) {
		this.context = context;
	}

	public String getFoo() {
		return foo;
	}

	public void setFoo(String foo) {
		this.foo = foo;
	}

	public Date getDate() {
		return date;
	}

	public void setDate(Date date) {
		this.date = date;
	}

	public Date getTime() {
		return time;
	}

	public void setTime(Date time) {
		this.time = time;
	}

	public Date getDateTime() {
		return dateTime;
	}

	public void setDateTime(Date dateTime) {
		this.dateTime = dateTime;
	}

	public Language getLanguage() {
		return language;
	}

	public void setLanguage(Language language) {
		this.language = language;
	}

	public List<Person> getPersons() {
		return persons;
	}

	public void setPersons(List<Person> persons) {
		this.persons = persons;
	}
}
