package de.laliluna.example.pages;

import org.apache.tapestry5.services.ExceptionReporter;

/**
 * Rename this class to ExceptionReport in order to replace the default error page of Tapestry
 * 
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 07.08.2009
 */
public class ExceptionReport_ implements ExceptionReporter {

	private Throwable exception;

	public Throwable getException() {
		return exception;
	}

	/**
	 * Used to communicate to the page what exception is to be reported.
	 *
	 * @param exception runtime exception thrown during processing of the request
	 */
	public void reportException(Throwable exception) {
		this.exception = exception;
	}


}
