package de.laliluna.example.pages;

import de.laliluna.example.services.CountryService;
import de.laliluna.example.model.Address;
import de.laliluna.example.model.Salutation;
import de.laliluna.example.model.Phone;

import java.util.List;
import java.util.ArrayList;

import org.apache.tapestry5.ioc.annotations.Inject;
import org.apache.tapestry5.annotations.Property;

/**
 * Demonstrates Grids and multi row input
 * Author: Sebastian Hennebrueder, http://www.laliluna.de
 * Date: 07.08.2009
 */
public class VariousComponents {

	private List<Address> addresses = new ArrayList<Address>();

	@Property
	private Address address;
	
	public VariousComponents() {
		addresses.add(new Address("foo", "Bad Vilbel", "Germamy", "Bubenweg 1", Salutation.MR, new Phone("+49","12345", "3333")));
		addresses.add(new Address("bar", "Aachen", "Germamy", "Neuer Weg 1", Salutation.MR, new Phone("+33","7654", "4445")));
		addresses.add(new Address("bazz", "Frankfurt", "Germamy", "Neuer Weg 2", Salutation.MR, new Phone("+44","9876", "4463")));
		addresses.add(new Address("bozz", "Chemnitz", "Germamy", "Hase 1", Salutation.MR, new Phone("+1","5432", "1234")));
		// just set an id value
		for(int i = 0; i< addresses.size();i++)
			addresses.get(i).setId(i+1);
	}

	public List<Address> getAddresses() {
		return addresses;
	}
}
